import { PopoverEntry } from '../../classes/popover-entry';
import { ViewContainerRef, ElementRef, ChangeDetectorRef } from '@angular/core';
export declare class GistPopoverDisplayerComponent {
    private eleRef;
    private cdr;
    entry: PopoverEntry;
    target: ViewContainerRef;
    private viewTimer;
    onMouseEnter(): void;
    onMouseLeave(): void;
    private anchor;
    private anchorCoords;
    private offsetCoords;
    private windowOffsetCoords;
    private lastCoords;
    private ele;
    private checkInterval;
    constructor(eleRef: ElementRef, cdr: ChangeDetectorRef);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private updateOffset();
    private updateWindowOffset();
    private throttle;
    private throttledUpdate();
    private updatePos();
    private renderThen(cb);
    private isDrawing;
    private drawTilNoChange();
}
