import { GistPopoverService } from './../services/gist-popover.service';
import { TemplateRef, ViewContainerRef, ElementRef, ChangeDetectorRef } from '@angular/core';
export declare class GistPopoverDirective {
    private templateRef;
    private viewContainer;
    private popService;
    private eleRef;
    private cdr;
    private windowSubs;
    private mouseSubs;
    private isReady;
    private entry;
    private ele;
    private target;
    private position;
    private delay;
    private isInteractive;
    private isVisible;
    private hideTimer;
    private showTimer;
    private checkTimer;
    constructor(templateRef: TemplateRef<any>, viewContainer: ViewContainerRef, popService: GistPopoverService, eleRef: ElementRef, cdr: ChangeDetectorRef);
    ngAfterViewInit(): void;
    gistPopover: string;
    private processInput();
    private trackMouse();
    private unTrackMouse();
    private updatePopover(e?);
    private showPopover(e?);
    getMouseAnchor(event: MouseEvent): number[];
    getEleAnchor(ele: HTMLElement): number[];
    getTargetAnchor(): number[];
    private hidePopover();
    ngOnDestroy(): void;
    private waitTillReady(cb);
}
